For Developers
List Sources
GET https://ed.link/api/v2/teams/:team_id/sources
Returns a list of all data sources (e.g. Canvas, Google Classroom, Clever, ClassLink, SFTP) owned by the specified team.
Permissions
Requires the sources.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
$filter | String | No | Optional filter expression matching source properties (e.g. state or provider). |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": [
{
"id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12",
"created_date": "2024-02-10T14:30:00.000Z",
"updated_date": "2024-06-15T09:20:00.000Z",
"name": "Oakridge School District Canvas",
"state": "active",
"provider_id": "90e0c0df-bc7b-402a-a9cb-b20bf4437a34",
"team_id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d",
"configuration": {
"url": "https://oakridge.instructure.com"
}
}
]
}
